#ifndef _TESTDOXYGEN_H
#define _TESTDOXYGEN_H

/*!
 * @mainpage
 *
 * This is a test to see if Doxygen breaks the way I expect, or if it makes
 * a liar out of me.
 *
 * This file was created in @p /tmp/test-doxygen -- which should not appear
 * anywhere in the HTML other than this comment.
 *
 * Let's see what it puts in the src tag for this image:
 * @dot
 * 	digraph structure {
 * 		node [ shape=record, fontname=Helvetica, fontsize=10 ];
 * 		edge [ fontname=Helvetica, fontsize=8 ];
 * 		A		[	label="A"	]
 * 		B		[	label="B"	]
 * 		C		[	label="C"	]
 * 		A->B		[	label="1"	]
 * 		B->C		[	label="2"	]
 * 		C->A		[	label="3"	]
 * 	}
 * @enddot
 */

#endif
